Index: /trunk/SOURCES/ANT15-LBq_files/module_choix_antar15_LBq.f90
===================================================================
--- /trunk/SOURCES/ANT15-LBq_files/module_choix_antar15_LBq.f90	(revision 158)
+++ /trunk/SOURCES/ANT15-LBq_files/module_choix_antar15_LBq.f90	(revision 159)
@@ -154,6 +154,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90
===================================================================
--- /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90	(revision 158)
+++ /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90	(revision 159)
@@ -123,6 +123,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-iterbeta
===================================================================
--- /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-iterbeta	(revision 158)
+++ /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-iterbeta	(revision 159)
@@ -124,6 +124,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-spinupvitbil
===================================================================
--- /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-spinupvitbil	(revision 158)
+++ /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-spinupvitbil	(revision 159)
@@ -123,6 +123,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-std
===================================================================
--- /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-std	(revision 158)
+++ /trunk/SOURCES/Ant16_files/module_choix-ant16km.f90-std	(revision 159)
@@ -129,6 +129,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Ant40_files/module_choix-antar40-0.4.f90
===================================================================
--- /trunk/SOURCES/Ant40_files/module_choix-antar40-0.4.f90	(revision 158)
+++ /trunk/SOURCES/Ant40_files/module_choix-antar40-0.4.f90	(revision 159)
@@ -126,6 +126,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/GrIce2sea_files/module_choix_GrIce2sea.f90
===================================================================
--- /trunk/SOURCES/GrIce2sea_files/module_choix_GrIce2sea.f90	(revision 158)
+++ /trunk/SOURCES/GrIce2sea_files/module_choix_GrIce2sea.f90	(revision 159)
@@ -148,6 +148,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Greeneem_files/module_choix-greeneem.f90
===================================================================
--- /trunk/SOURCES/Greeneem_files/module_choix-greeneem.f90	(revision 158)
+++ /trunk/SOURCES/Greeneem_files/module_choix-greeneem.f90	(revision 159)
@@ -106,6 +106,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Hemin15_files/module_choix-hemin15.f90
===================================================================
--- /trunk/SOURCES/Hemin15_files/module_choix-hemin15.f90	(revision 158)
+++ /trunk/SOURCES/Hemin15_files/module_choix-hemin15.f90	(revision 159)
@@ -125,6 +125,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel
Index: /trunk/SOURCES/Snowball_files/module_choix-snowball.f90
===================================================================
--- /trunk/SOURCES/Snowball_files/module_choix-snowball.f90	(revision 158)
+++ /trunk/SOURCES/Snowball_files/module_choix-snowball.f90	(revision 159)
@@ -122,6 +122,4 @@
 !
 use out_profile  !profils
-!use out_cptr     ! fichier de reprise 
-use out_hz       ! module de sorties snapshot dans un plan horizontal
 
 !-----Suivi temporel