Index: branches/iLoveclim/SOURCES/Fichiers-parametres/hemin40_param_list.dat
===================================================================
--- branches/iLoveclim/SOURCES/Fichiers-parametres/hemin40_param_list.dat	(revision 151)
+++ branches/iLoveclim/SOURCES/Fichiers-parametres/hemin40_param_list.dat	(revision 186)
@@ -20,5 +20,5 @@
 
  igrdline     =            0
- Schoof       =            0
+ Schoof       =            1
  /
 ! igrdline :  1 ligne d echouage fixée, sinon 0
@@ -43,6 +43,6 @@
 !___________________________________________________________
 &topo_file
- topo_ref        = "Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_GLAC1D_21k_hemin40.nc" !"ICE6G_21k.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc"
- topo_dep        = "Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_GLAC1D_21k_hemin40.nc" !"ICE6G_21k.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc"
+ topo_ref        = "Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_ICE6G-40k_hemin40.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_GLAC1D_21k_hemin40.nc" !"ICE6G_21k.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc"
+ topo_dep        = "Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_ICE6G-40k_hemin40.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc" !"SHB_GLAC1D_21k_hemin40.nc" !"ICE6G_21k.nc" !"Greenland_Bamber-et-al_composite_hemin40.nc"
  grid_topo       = "coord-nord-40km.dat"
  ghf_fich        = "ijphi_hemin40.nc"
@@ -189,5 +189,5 @@
 exposant_1       = 3.
 temp_trans_1     = -6.5
-enhanc_fact_1    = 3.5          ! Grice2sea 3.         
+enhanc_fact_1    = 3.          ! Grice2sea 3.         
 coef_cold_1      = 1.660E-16
 Q_cold_1         = 7.820E+04
@@ -238,5 +238,5 @@
 
 frot_coef = 0.6   !0.035
-gr_select = 1
+gr_select = 2
 /
 ! frot_coef  = ',frot_coef
@@ -275,5 +275,5 @@
 mincoefbmelt  =  0.
 maxcoefbmelt  =  2.
-filforc       = "signal-cycle-hemin.dat" !"778k.dat"
+filforc       = "40k.dat" !"signal-cycle-hemin.dat" !"778k.dat"
 snow          =       .true.
 ! mincoefbmelt : borne mini de coefbmshelf
@@ -427,6 +427,6 @@
 &drag_param_beta                              ! drag_beta_param_mod
 
-beta_intercept = -2. !-0.08898
-beta_slope     = 0.95     !0.57570
+beta_slope     = 4.e-3     !1.e-3
+beta_expo      = 1.      !1.0
 betamax    = 5.e5     ! maximum value of beta
 betamin    = 1 !10.   ! minimum value of beta
Index: branches/iLoveclim/SOURCES/Hemin40_files/module_choix-hemin40-0.4.f90
===================================================================
--- branches/iLoveclim/SOURCES/Hemin40_files/module_choix-hemin40-0.4.f90	(revision 151)
+++ branches/iLoveclim/SOURCES/Hemin40_files/module_choix-hemin40-0.4.f90	(revision 186)
@@ -94,5 +94,6 @@
 !use dragging_hwat_sedim
 !use dragging_hwat_cont
-use dragging_neff_slope
+!use dragging_neff_slope
+use dragging_param_beta
 
 !------------ spinup -----------------------------------
Index: branches/iLoveclim/SOURCES/Makefile.grisli-gfortran.inc
===================================================================
--- branches/iLoveclim/SOURCES/Makefile.grisli-gfortran.inc	(revision 151)
+++ branches/iLoveclim/SOURCES/Makefile.grisli-gfortran.inc	(revision 186)
@@ -44,4 +44,5 @@
 	climat-forcage-insolation_mod.o climat_GrIce2sea_years_mod.o \
 	climat_GrIce2sea_years_perturb_mod.o \
+	climat_InitMIP_years_perturb_mod.o \
 	climat-perturb_mod-0.4.o \
 	ablation_mod.o no_ablation_mod.o \
@@ -75,7 +76,8 @@
 	dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
 	dragging_hwat_sedim_mod.o dragging_neff_slope_mod.o \
-	dragging_param_beta_mod.o \
+	dragging_param_beta_mod.o bilan_eau_mod.o \
 	calving_frange.o no_calving.o no_lakes.o \
 	out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
+	furst_schoof_mod.o bilan_flux_output_mod.o \
 	relaxation_water_diffusion.o \
 	prescribe-H-i2s_mod.o  \
@@ -93,8 +95,9 @@
         dragging_hwatermax_0.2_mod.o dragging_calc_beta_mod.o  \
         dragging_hwat-contigu_mod.o dragging_hwat_contmaj_mod.o \
-	dragging_hwat_sedim_mod.o dragging_neff_slope_mod.o \
+        dragging_hwat_sedim_mod.o dragging_neff_slope_mod.o \
 	dragging_param_beta_mod.o \
         calving_frange.o no_calving.o no_lakes.o \
         out_profile_mod.o printtable_mod.o mix-SIA-L1_mod.o \
+        furst_schoof_mod.o bilan_flux_output_mod.o \
         relaxation_water_diffusion.o \
         prescribe-H-i2s_mod.o   \
@@ -182,11 +185,33 @@
 #	massb-ant_perturb_Tparam.o track_ant40_mod.o 
 
+
+# lect-Ant_clim_Acc-T_gen_dat.o dragging-vit_bil_LBq_gen_mod.o dragging_LGM_mod.o
+# dragging_plastic_LGM_mod.o dragging_prescr_beta_buoyency_mod.o\
+
+
+Liste_ANT16 = output_anta40_mod-0.4.o \
+		dragging_prescr_beta_mod.o \
+		dragging_prescr_beta_nolin_mod.o \
+		lect-Ant_gen2010_dat.o \
+		lect-anteis_mod.o \
+		bmelt-ant-regions_mod.o \
+                bmelt-ant-regions-initmip_mod.o \
+		fake-routines-ant_mod.o \
+		beta_iter_vitbil_mod.o \
+		module_choix-ant16km.o \
+		massb-ant_perturb_Tparam.o \
+		track_ant40_mod.o
+
 Liste_ANT15-LBq = output_anta_mod-0.4.o \
+		dragging_prescr_beta_mod.o \
+		dragging_prescr_beta_nolin_mod.o \
 		lect-Ant_gen2010_dat.o \
 		lect-anteis_mod.o \
 		bmelt-ant-regions_mod.o \
 		fake-routines-ant_mod.o \
+		beta_iter_vitbil_mod.o \
 		module_choix_antar15_LBq.o \
-		track_ant40_mod.o \
+		massb-ant_perturb_Tparam.o \
+		track_ant40_mod.o
 
 Liste_hudson = sedim_declar_hudson_mod.o climat-hudson_mod.o \
@@ -200,8 +225,9 @@
 
 Liste_hemin40 = output_hemin40_mod.o \
-        lect-hemin40_mod.o  \
+        lect-hemin40_mod.o \
         bmelt-hemin40-regions_mod.o bmelt-hemin40-depth_mod.o \
-        fake-routines-hemin40_mod.o  module_choix-hemin40-0.4.o \
-        track_hemin40_mod.o
+        fake-routines-hemin40_mod.o \
+	dragging_prescr_beta_mod.o beta_iter_vitbil_mod.o \
+        module_choix-hemin40-0.4.o track_hemin40_mod.o
 
 Liste_hemin15 = output_hemin40_mod.o \
@@ -215,4 +241,5 @@
 	dragging_neem_mod.o \
 	fake-routines-greeneem_mod.o \
+	dragging_prescr_beta_mod.o beta_iter_vitbil_mod.o \
 	module_choix-greeneem.o \
 	track_greeneem_mod.o 
@@ -222,5 +249,8 @@
         bmelt-ant-regions_mod.o \
 	bmelt-ant-regions-oce_mod.o \
-        fake-routines-ant_mod.o module_choix-antar40-0.4.o \
+        bmelt-ant-regions-initmip_mod.o \
+        fake-routines-ant_mod.o \
+        dragging_prescr_beta_mod.o beta_iter_vitbil_mod.o \
+        module_choix-antar40-0.4.o \
         track_ant40_mod.o
         
@@ -283,4 +313,6 @@
 
 Dim_GrIce2sea = paradim-GrIce2sea-cut_Tamsin.o geography-GrIce2sea.o
+
+Dim_ANT16 = paradim-ant16_mod.o geography-ant16.o
 
 Dim_ANT15-LBq    = paradim-ant15_LBq_mod.o geography-Ant15_LBq.o   
@@ -367,4 +399,8 @@
 %.o: Ant40_files/%.f90
 	$(FT) $(NCDF_INC) -c Ant40_files/$*.f90
+
+# Ant16_files
+%.o: Ant16_files/%.f90
+	$(FT) $(NCDF_INC) -c Ant16_files/$*.f90
 	
 # ANT15-LBq_files
@@ -420,5 +456,52 @@
 # Liens et Construction des executables
 #---------------------------------------
-#       $(mod_clim_forcage) \ a mettre a la place de mod_clim_perturb eventuellement
+
+Ant-16 : $(Dim_ANT16) $(mod_dim_communs) \
+	$(toy_recul) \
+	$(mod_communs) \
+	$(mod_clim_tof)  \
+	$(mod_no_tracers) \
+	$(mod_ell) $(Liste_ANT16) \
+	$(diagnoshelf) \
+	$(Liste_Netcdf) \
+	$(routines_communes) steps_time_loop.o \
+	$(routine_elliptiques) \
+	$(Liste_BLAS)
+
+	$(LK) -o ../bin/Ant-16 \
+	$(Dim_ANT16) $(mod_dim_communs) \
+	$(toy_recul)  \
+	$(mod_communs) \
+	$(mod_clim_tof)  \
+	$(mod_no_tracers) \
+	$(mod_ell) $(Liste_ANT16) \
+	$(diagnoshelf) \
+	$(Liste_Netcdf) \
+	$(routines_communes) steps_time_loop.o \
+	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
+
+Ant-16_iterbeta : $(Dim_ANT16) $(mod_dim_communs) \
+        $(toy_recul) \
+        $(mod_communs) \
+        $(mod_clim_tof)  \
+        $(mod_no_tracers) \
+        $(mod_ell) $(Liste_ANT16) \
+        $(diagnoshelf) \
+        $(Liste_Netcdf) \
+        $(routines_communes) steps_time_loop_avec_iterbeta.o \
+        $(routine_elliptiques) \
+        $(Liste_BLAS)
+
+	$(LK) -o ../bin/Ant-16_iterbeta \
+        $(Dim_ANT16) $(mod_dim_communs) \
+        $(toy_recul)  \
+        $(mod_communs) \
+        $(mod_clim_tof)  \
+        $(mod_no_tracers) \
+        $(mod_ell) $(Liste_ANT16) \
+        $(diagnoshelf) \
+        $(Liste_Netcdf) \
+        $(routines_communes) steps_time_loop_avec_iterbeta.o \
+        $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
 
 Ant-15 : $(Dim_ANT15-LBq) $(mod_dim_communs) \
@@ -448,21 +531,25 @@
 Recul_ice2sea : $(Dim_ANT15-LBq) $(mod_dim_communs)  \
 	$(toy_recul) \
-	$(mod_communs_RGL) \
-	$(mod_clim_perturb)  \
-	$(mod_tracers) \
+	$(mod_communs) \
+	$(mod_clim_tof)  \
+	$(mod_no_tracers) \
 	$(mod_ell) $(Liste_ANT15-LBq) \
 	$(diagnoshelf) \
 	$(Liste_Netcdf) \
-	$(routines_communes)steps_time_loop.o  $(routine_elliptiques) 
-
-	$(LK) -o ../bin/recul_gl  $(Dim_ANT15-LBq) $(mod_dim_communs) \
+	$(routines_communes) steps_time_loop.o \
+	$(routine_elliptiques) \
+	$(Liste_BLAS)
+
+	$(LK) -o ../bin/recul_gl \
+	$(Dim_ANT15-LBq) $(mod_dim_communs) \
 	$(toy_recul) \
-	$(mod_communs_RGL) \
-	$(mod_clim_perturb)  \
-	$(mod_tracers) \
-	$(mod_ell) \
-	$(Liste_ANT15-LBq) \
-	$(diagnoshelf) $(Liste_Netcdf) \
-	$(routines_communes) steps_time_loop.o $(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB)
+	$(mod_communs) \
+	$(mod_clim_tof)  \
+	$(mod_no_tracers) \
+	$(mod_ell) $(Liste_ANT15-LBq) \
+	$(diagnoshelf) \
+	$(Liste_Netcdf) \
+	$(routines_communes) steps_time_loop.o \
+	$(routine_elliptiques) $(NCDF_LIB) $(MKL_LIB) $(Liste_BLAS)
 
 