Index: trunk/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90
===================================================================
--- trunk/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90	(revision 224)
+++ trunk/SOURCES/Ant16_files/bmelt-ant-regions-initmip_mod.f90	(revision 225)
@@ -64,29 +64,15 @@
     read(num_param,bmelt_ant_reg_initmip)
 
-    ! formats pour les ecritures dans 42
-428 format(A)
-
-    write(num_rep_42,428)'!___________________________________________________________' 
-    write(num_rep_42,428) '&bmelt-ant-regions-initmip                                 '
-    write(num_rep_42,*)
-    write(num_rep_42,'(A,18(f0.2,","))') 'bmelt_regions      = ', bmelt_regions(:)
-    write(num_rep_42,'(A,18(f0.2,","))') 'bmgrz_regions      = ', bmgrz_regions(:)
-    write(num_rep_42,*) 'bmelt_talus     = ', bmelt_talus 
-    write(num_rep_42,*) 'bmgrz_talus     = ', bmgrz_talus
-    write(num_rep_42,*) 'bmelt_coef      = ', bmelt_coef
-    write(num_rep_42,*) 'file_numer_shelves = ', file_number_shelves
-    write(num_rep_42,*) 'flag_dist = ', flag_dist
-    write(num_rep_42,*) 'file_dist_talus = ', file_dist_talus
-    write(num_rep_42,*) 'bmelt_dist0 = ', bmelt_dist0
-    write(num_rep_42,*)'/'                            
-    write(num_rep_42,428) '! bmelt_regions    :  fonte basale sous shelves pour les 18 regions initMIP'
-    write(num_rep_42,428) '! bmgrz_regions    :  fonte basale grounding zone pour les 18 regions initMIP'
-    write(num_rep_42,428) '! bmelt_talus & bmgrz_talus  :  fonte basale apres talus cont'
-    write(num_rep_42,428) '! bmelt_coef                 :  coef fonte (1 pour conserver val)'
-    write(num_rep_42,428) '! file_numer_ice-shelves     : fichier zones ice shelves'
-    write(num_rep_42,428) '! flag_dist : flag pour bmelt fnct distance talus'
-    write(num_rep_42,428) '! file_dist_talus : fichier de distance talus'
-    write(num_rep_42,428) '! bmelt_dist0 : coef de bmelt au talus'
-    write(num_rep_42,*)
+    write(num_rep_42,'(A)') '!  module bmelt_ant_regions_initmip '
+    write(num_rep_42,bmelt_ant_reg_initmip)                       
+    write(num_rep_42,'(A)') '! bmelt_regions    :  fonte basale sous shelves pour les 18 regions initMIP'
+    write(num_rep_42,'(A)') '! bmgrz_regions    :  fonte basale grounding zone pour les 18 regions initMIP'
+    write(num_rep_42,'(A)') '! bmelt_talus & bmgrz_talus  :  fonte basale apres talus cont'
+    write(num_rep_42,'(A)') '! bmelt_coef                 :  coef fonte (1 pour conserver val)'
+    write(num_rep_42,'(A)') '! file_numer_ice-shelves     : fichier zones ice shelves'
+    write(num_rep_42,'(A)') '! flag_dist : flag pour bmelt fnct distance talus'
+    write(num_rep_42,'(A)') '! file_dist_talus : fichier de distance talus'
+    write(num_rep_42,'(A)') '! bmelt_dist0 : coef de bmelt au talus'
+    write(num_rep_42,'(A)')'!_______________________________________________________________________'
 
 
@@ -138,10 +124,9 @@
   read(num_param,bmelt_anom_initMIP)
 
-  write(num_rep_42,428)'!_______________________________________________________________________' 
-  write(num_rep_42,428)'!  module bmelt_ant_regions_initmip_mod                                 '
+  write(num_rep_42,'(A)')'!  module bmelt_ant_regions_initmip                                     '
   write(num_rep_42,bmelt_anom_initMIP)
-  write(num_rep_42,428)'! file_bmelt_anom   = fichier anomalie bmelt                            '
-  write(num_rep_42,428)'! bmelt_time        = 0:fixe, 1:anomalies                               '
-  write(num_rep_42,428)'!_______________________________________________________________________' 
+  write(num_rep_42,'(A)')'! file_bmelt_anom   = fichier anomalie bmelt                            '
+  write(num_rep_42,'(A)')'! bmelt_time        = 0:fixe, 1:anomalies                               '
+  write(num_rep_42,'(A)')'!_______________________________________________________________________' 
 
   if ( bmelt_time .eq. 1 ) then  
Index: trunk/SOURCES/GrIce2sea_files/climat_GrIce2sea_years_perturb_mod.f90
===================================================================
--- trunk/SOURCES/GrIce2sea_files/climat_GrIce2sea_years_perturb_mod.f90	(revision 224)
+++ trunk/SOURCES/GrIce2sea_files/climat_GrIce2sea_years_perturb_mod.f90	(revision 225)
@@ -107,15 +107,13 @@
   namelist/clim_snap/nb_snap,time_depart_snaps,ecart_snap,file_smb_snap,massb_time
 
-428 format(A)
   rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
   read(num_param,clim_smb_T_gen)
 
-  write(num_rep_42,428)'!________________________________________________________________' 
-  write(num_rep_42,428)'!  module climat_Grice2sea_years_mod lecture climat ref          '
+  write(num_rep_42,'(A)')'!  module climat_Grice2sea_years_perturb_mod                     '
   write(num_rep_42,clim_smb_T_gen)
-  write(num_rep_42,428)'! smb_file          = fichier SMB (kg/m2/an)                     '
-  write(num_rep_42,428)'! coef_smb_unit     = coef passage m glace/an  (1/910 ou 1/918)  '
-  write(num_rep_42,428)'! temp_annual_file  = Temp moy annuelle  (°C)                    '
-  write(num_rep_42,428)'!________________________________________________________________'
+  write(num_rep_42,'(A)')'! smb_file          = fichier SMB (kg/m2/an)                     '
+  write(num_rep_42,'(A)')'! coef_smb_unit     = coef passage m glace/an  (1/910 ou 1/918)  '
+  write(num_rep_42,'(A)')'! temp_annual_file  = Temp moy annuelle  (°C)                    '
+  write(num_rep_42,'(A)')'!________________________________________________________________'
 
   
@@ -164,20 +162,15 @@
   Tjuly(:,:) = Tann(:,:)
 
-  rewind(num_param)        ! pour revenir au debut du fichier param_list.dat
-  read(num_param,clim_snap)
-
-! formats pour les ecritures dans 42
   rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
   read(num_param,clim_snap)
 
-  write(num_rep_42,428)'!_______________________________________________________________________' 
-  write(num_rep_42,428)'!  module climat_Grice2sea_years_mod                                    '
+  write(num_rep_42,'(A)')'!  module climat_Grice2sea_years_perturb_mod                            '
   write(num_rep_42,clim_snap)
-  write(num_rep_42,428)'! nb_snap           = nombre de snapshots                               '
-  write(num_rep_42,428)'! time_depart_snaps = debut du forçage                                  '
-  write(num_rep_42,428)'! ecart_snap        = ecart entre les snapshots                         '
-  write(num_rep_42,428)'! file_smb_snap     = fichier serie temp anomalie SMB de GCM            '
-  write(num_rep_42,428)'! massb_time        = 0:fixe, 1:interp snapshots, 2:snapsh+interp vert  '
-  write(num_rep_42,428)'!_______________________________________________________________________' 
+  write(num_rep_42,'(A)')'! nb_snap           = nombre de snapshots                               '
+  write(num_rep_42,'(A)')'! time_depart_snaps = debut du forçage                                  '
+  write(num_rep_42,'(A)')'! ecart_snap        = ecart entre les snapshots                         '
+  write(num_rep_42,'(A)')'! file_smb_snap     = fichier serie temp anomalie SMB de GCM            '
+  write(num_rep_42,'(A)')'! massb_time        = 0:fixe, 1:interp snapshots, 2:snapsh+interp vert  '
+  write(num_rep_42,'(A)')'!_______________________________________________________________________' 
 
   if (massb_time == 1) then ! lecture des snapshots
@@ -302,32 +295,7 @@
   bpert(:)=max(1.+bpert(:)*coefbmb,0.01) !freezing is not allowed
 
-  
-! ecriture de verification
-!file_smb_snap = 'test_sortie_smb.nc'
-!file_smb_snap  = trim(dirnameout)//trim(file_smb_snap)
-
-!ncidloc = 501
-
-!call  lect_netcdf_type
-!write(6,*) 'ncdf_type'
-
-!if (ncdf_type.eq.32) then
-!   status  = nf90_create(TRIM(file_smb_snap),NF90_WRITE,ncidloc)    ! ouverture du fichier
-!else if (ncdf_type.eq.64) then
-!   status  = nf90_create(trim(file_smb_snap),and(nf90_write,nf90_64bit_offset),ncidloc) ! r2d2
-!end if
-
-!   status  = nf90_close(ncidloc)                                 ! fermeture
-
-! call write_ncdf_dim('x',trim(file_smb_snap),nx)               ! dimensions des tableaux
-! call write_ncdf_dim('y',trim(file_smb_snap),ny)
-! call write_ncdf_dim('time',trim(file_smb_snap),nb_snap)
-
-!Tab3D(:,:,:) = smb_snap (:,:,:)
-!dimtestname(1) = 'x'
-!dimtestname(2) = 'y'
-!dimtestname(3) = 'time'
-
-!call write_ncdf_var(trim('smb'),dimtestname,trim(file_smb_snap),tab3D,'double')
+  if (massb_time == 1) then ! lecture gradients smb
+     call init_grad_smb
+  endif
    
 end subroutine input_clim
@@ -346,15 +314,8 @@
   read(num_param,lapse_rates)
 
-! formats pour les ecritures dans 42
-428 format(A)
-
-  rewind(num_param)                     ! pour revenir au debut du fichier param_list.dat
-  read(num_param,lapse_rates)
-
-  write(num_rep_42,428)'!________________________________________________________________' 
-  write(num_rep_42,428)'!  module climat_Grice2sea_years_mod                             '
+  write(num_rep_42,'(A)')'!  module climat_Grice2sea_years_perturb_mod                     '
   write(num_rep_42,lapse_rates)
-  write(num_rep_42,428)'!T_lapse_rate       = lapse rate temp annuelle                   '
-  write(num_rep_42,428)'!________________________________________________________________' 
+  write(num_rep_42,'(A)')'!T_lapse_rate       = lapse rate temp annuelle                   '
+  write(num_rep_42,'(A)')'!________________________________________________________________' 
 
   
@@ -362,22 +323,13 @@
   read(num_param,clim_pert_massb)
   
-  write(num_rep_42,428)'!___________________________________________________________'
-  write(num_rep_42,428) '&clim_pert                      ! module climat_perturb_mod '
-  write(num_rep_42,*)
-  write(num_rep_42,*) 'coefT        = ', coefT
-  write(num_rep_42,'(A,A)') ' filforc      = ', filforc
-  write(num_rep_42,*) 'pertsmb        = ', pertsmb
-  write(num_rep_42,*) 'rapsmb         = ', rapsmb
-  write(num_rep_42,*) 'pertbmb        = ', pertbmb
-  write(num_rep_42,*) 'coefbmb         = ', coefbmb
-  write(num_rep_42,*)'/'
-  write(num_rep_42,*)
-
-
-! appelle la routine de lecture des smb annuels
-  call input_clim
-  if (massb_time == 1) then ! lecture gradients smb
-     call init_grad_smb
-  endif
+  write(num_rep_42,'(A)') '! module climat_Grice2sea_years_perturb_mod                      '
+  write(num_rep_42,clim_pert_massb)
+  write(num_rep_42,'(A)') '! coefT : coef amplitude perturbation T'
+  write(num_rep_42,'(A)') '! filforc : fichier de forcage temporel'
+  write(num_rep_42,'(A)') '! pertsmb : 0 SMB fixe, 1 SMB exp temperature'
+  write(num_rep_42,'(A)') '! rapsmb : coef variation SMB'
+  write(num_rep_42,'(A)') '! pertbmb : 0 bmelt fixe, 1 bmelt variable'
+  write(num_rep_42,'(A)') '! coefbmb : coef variation bmelt'
+  write(num_rep_42,'(A)') '!________________________________________________________________'
 
   return